.NET 4.0/4.5 support

Topics: Web Api
Nov 29, 2011 at 10:07 AM

Maybe this has been answered before.. but will WCF HTTP API support both 4.0 and 4.5 when we get closer to final release? HttpClient is becoming part of the 4.5 framework, so whats the story on the REST framework itself?

Coordinator
Nov 29, 2011 at 4:33 PM

Absolutely! WCF Web API Preview 6 works just fine on .NET 4 and .NET 4.5 and we will continue to support both framework versions for the final release. .NET 4.5 is actually an in place release, so it is completely backward compatible with .NET 4.

We have fully aligned the WCF Web API HttpClient implementation with the .NET 4.5 version. In fact the assembly names are now completely identical – System.Net.Http.dll. You can think of the .NET 4.5 version as simply an updated version of HttpClient that we ship with WCF Web API that is completely compatible.

Daniel Roth

From: SiggiG [email removed]
Sent: Tuesday, November 29, 2011 3:07 AM
To: Daniel Roth
Subject: .NET 4.0/4.5 support [wcf:281154]

From: SiggiG

Maybe this has been answered before.. but will WCF HTTP API support both 4.0 and 4.5 when we get closer to final release? HttpClient is becoming part of the 4.5 framework, so whats the story on the REST framework itself?